Query Realtime Appointment Availability
https://api.propexo.com/v1/appointment-availability/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the property
The start date of the availability to query. RealPage Partner Exchange will return results starting at midnight of this date in the local timezone of the property.
Show 2 variants
The duration of the availability query, in days
Possible values: >= 1 and <= 7
The duration of the appointment, in minutes. RealPage Partner Exchange does not provide a default appointment duration. A value of 30 minutes is assumed if this field is not provided.
Possible values: > 0
30The calendar groups to consider when evaluating what availability is possible, defaulting to the Resident and Leasing calendar groups if not provided. Note that Entrata only supports API creation of appointment types for the Leasing group at this time.
Show 4 enum values
GENERALRESIDENTLEASINGMAINTENANCEThe Propexo unique identifier for the employee. The API will only return availability for this employee. If not provided, availability will be returned for all employees.
Response
Successful response
- Array [
- Array [
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
- ]
- ]
meta objectrequired
result object[]required
The date the record was last seen from the PMS
The type of calendar
Show 3 enum values
AGENT_CALENDARPROPERTY_CALENDARENTRATA_SELF_GUIDED_TOUR_CALENDARThe external ID of the agent from the integration vendor
The first name associated with the employee
The last name associated with the employee
A default duration for an appointment on this calendar, in minutes
The minimum lead time before which you can book an appointment on this calendar, in minutes
The timezone of the calendar, if such metadata is available. Please contact Propexo Support if you are working with properties outside of the United States and Canada as there may be options for populating this field depending on your business case and integration vendor.
calendar_days object[]required
Date of the availability
Show 2 variants
Day of the week
The routine opening time for when the first appointment can be booked into this calendar
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)
The routine closing time for when the last appointment must complete when being booked into this calendar
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)
What kind of simultaneous or double booked appointments are allowed on this calendar
Show 4 enum values
SINGLEMULTIPLEUNLIMITEDUNKNOWNThe maximum number of simultaneous appointments allowed at the same moment in time on this calendar
available_slots (object | null)[]required
The start time of the slot
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)
The end time of the slot which may not be available in all cases
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)
The external ID of the property from the integration vendor
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/appointment-availability/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": [
{
"last_seen": "string",
"calendar_type": "AGENT_CALENDAR",
"x_agent_id": "string",
"agent_first_name": "string",
"agent_last_name": "string",
"default_appointment_length": 0,
"minimum_appointment_lead_time": 0,
"timezone": "string",
"calendar_days": [
{
"date": "2024-07-29T15:51:28.071Z",
"day_of_week": "string",
"opening_time": "string",
"closing_time": "string",
"simultaneous_appointment_mode": "SINGLE",
"max_simultaneous_appointments": 0,
"available_slots": [
"Unknown Type: object,null"
]
}
],
"x_property_id": "string"
}
]
}